Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List the caller’s MCP approval requests and inspect an approval when the caller owns it or has review access.
cURL
curl --request GET \ --url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/approvals/{approvalId} \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/approvals/{approvalId}" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/approvals/{approvalId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/approvals/{approvalId}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{}
{ "message": "<string>" }
Enter a Forge service-account token or delegated OAuth access token. Mintlify adds the Bearer prefix.
MCP approval detail.
The response is of type object.
object